Runtime

## org.eclipse.gmf.runtime.diagram.ui.figures
Interface DiagramColorConstants

All Superinterfaces:
  ColorConstants

public interface DiagramColorConstants
extends ColorConstants

Set of color constants that are commonly used.

This interface defines constants only, it is not intended to be implemented by clients.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.ColorConstants
`ColorConstants.SystemColorFactory`

Field Summary
`static Color` `diagramBlue` Constant `Color` representing blue.
`static Color` `diagramBurgundyRed` Constant `Color` representing burgundy red.
`static Color` `diagramDarkGray` Constant `Color` representing dark gray.
`static Color` `diagramDarkYellow` Constant `Color` representing dark yellow.
`static Color` `diagramGray` Constant `Color` representing gray.
`static Color` `diagramGreen` Constant `Color` representing green.
`static Color` `diagramLightBlue` Constant `Color` representing light blue.
`static Color` `diagramLightGoldYellow` Constant `Color` representing a light gold yellow.
`static Color` `diagramLightGray` Constant `Color` representing light gray.
`static Color` `diagramLightRed` Constant `Color` representing light red.
`static Color` `diagramLightYellow` Constant `Color` representing light yellow.
`static Color` `diagramRed` Constant `Color` representing red.

Fields inherited from interface org.eclipse.draw2d.ColorConstants

`black, blue, button, buttonDarker, buttonDarkest, buttonLightest, cyan, darkBlue, darkGray, darkGreen, gray, green, lightBlue, lightGray, lightGreen, listBackground, listForeground, menuBackground, menuBackgroundSelected, menuForeground, menuForegroundSelected, orange, red, titleBackground, titleForeground, titleGradient, titleInactiveBackground, titleInactiveForeground, titleInactiveGradient, tooltipBackground, tooltipForeground, white, yellow`

Field Detail

### diagramGreen

    public static final Color diagramGreen

  Constant `Color` representing green.

### diagramLightRed

    public static final Color diagramLightRed

  Constant `Color` representing light red.

### diagramRed

    public static final Color diagramRed

  Constant `Color` representing red.

### diagramLightBlue

    public static final Color diagramLightBlue

  Constant `Color` representing light blue.

### diagramBlue

    public static final Color diagramBlue

  Constant `Color` representing blue.

### diagramLightGray

    public static final Color diagramLightGray

  Constant `Color` representing light gray.

### diagramGray

    public static final Color diagramGray

  Constant `Color` representing gray.

### diagramDarkGray

    public static final Color diagramDarkGray

  Constant `Color` representing dark gray.

### diagramLightYellow

    public static final Color diagramLightYellow

  Constant `Color` representing light yellow.

### diagramDarkYellow

    public static final Color diagramDarkYellow

  Constant `Color` representing dark yellow.

### diagramLightGoldYellow

    public static final Color diagramLightGoldYellow

  Constant `Color` representing a light gold yellow.

### diagramBurgundyRed

    public static final Color diagramBurgundyRed

  Constant `Color` representing burgundy red.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.